Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
connections
Retrieve a page of project connections, optionally filtered by parameters.
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections \
  --header 'Authorization: Bearer <token>'
{
  "authProvider": "NONE",
  "authType": "GENERIC_SECRET",
  "connectionDetails": {
    "connectionProperties": {
      "secretName": "db-credentials",
      "secretKey": "password"
    },
    "description": "Production database connection for analytics",
    "secretsLocation": {
      "type": "AWS_SECRET_MANAGER",
      "region": "<string>"
    }
  },
  "createdBy": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "name": "my-secret",
  "platformConnectionType": "COMPONENT_BASIC",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The unique identifier of the project where the connection will be created

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

authProvider
string[]

A comma separated list of auth providers. If specified alongside 'platformConnectionType', they act as an AND filter, so only connections that match one of the specified platform connection types and one of the specified providers will be returned.

connectionNames
string[]

Comma-separated list of connection names whose overrides are to be deleted from this environment. Its important to note that specifying too many connection names may exceed URL length limits and result in a 400 Bad Request response. Consider splitting large deletions into multiple requests.

Response

Successfully retrieved connection

authProvider
string

The authentication provider

Example:

"NONE"

authType
enum<string>

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET
Example:

"GENERIC_SECRET"

connectionDetails
object

Connection details

createdBy
string

The user who created the connection

createdDate
string<date-time>

The date and time when the connection was created

name
string

The name of the connection

Example:

"my-secret"

platformConnectionType
enum<string>

The platform connection type

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

projectId
string<uuid>

The project ID this connection belongs to